type GetDefaultAccountReturn = {
    key: string;
    value: {
        t: number;
    };
};
interface IGetDefaultAccountType {
    (): GetDefaultAccountReturn | null;
}
export default class Base {
    static expiredSeconds: string;
    success: Function;
    failure: Function;
    constructor();
    /**
     * 存储默认账户
     * @param value 当前切换的资金账户
     */
    static setDefaultAccount(value: any): void;
    /**
     * 获取默认账户
     */
    static getDefaultAccount: IGetDefaultAccountType;
    /**
     * 检查字符串非空
     * @param unknowValue 待检查的字符串
     * @returns {boolean}   true - 空；false - 非空
     * @private
     */
    isEmpty(unknowValue: any): boolean;
    /**
     * 业务编号字典转化
     * @param bizSysId 业务编号
     */
    bizSysInfo(bizSysId: any): string;
    /**
     * 是否默认账户有效时间过期
     */
    isExpire(): boolean | undefined;
}
export {};
