/**
 *
 */
import { AppAuthorize } from "fastman3-dfyjapp-jsbridge";
var Base = /** @class */function () {
  function Base() {
    // 成功回调
    this.success = function () {};
    // 失败回调
    this.failure = function () {};
  }
  /* 以下是静态函数 */
  /**
   * 存储默认账户
   * @param value 当前切换的资金账户
   */
  Base.setDefaultAccount = function (value) {
    // 进行数据归档
    AppAuthorize.defaultAccount = value;
    AppAuthorize.bizSysId = AppAuthorize.bizSysId;
    // 2017-12-22 bugfix 解决二级登录未归档资金账户的bug
    AppAuthorize.fundAccount = value;
    AppAuthorize.archive();
  };
  /**
   * 检查字符串非空
   * @param unknowValue 待检查的字符串
   * @returns {boolean}   true - 空；false - 非空
   * @private
   */
  Base.prototype.isEmpty = function (unknowValue) {
    if (typeof unknowValue != "undefined" && typeof unknowValue.valueOf() == "string" && unknowValue.length > 0) {
      return false;
    }
    return true;
  };
  /**
   * 业务编号字典转化
   * @param bizSysId 业务编号
   */
  Base.prototype.bizSysInfo = function (bizSysId) {
    var bizSysInfo = "";
    switch (bizSysId) {
      case "3":
        bizSysInfo = "资金账户";
        break;
      case "6":
        bizSysInfo = "两融账户";
        break;
      case "18":
        bizSysInfo = "期权账户";
        break;
      case "810":
        bizSysInfo = "养老金账户";
        break;
    }
    return bizSysInfo;
  };
  /**
   * 是否默认账户有效时间过期
   */
  Base.prototype.isExpire = function () {
    var _a, _b, _c;
    try {
      var timestamp = (_c = (_b = (_a = Base === null || Base === void 0 ? void 0 : Base.getDefaultAccount) === null || _a === void 0 ? void 0 : _a.call(Base)) === null || _b === void 0 ? void 0 : _b.value) === null || _c === void 0 ? void 0 : _c.t;
      var c = new Date().valueOf();
      if (!timestamp) return;
      if (c - timestamp <= 0) {
        return true;
      } else {
        if ((c - timestamp) / 1000 > parseFloat(Base.expiredSeconds)) {
          return true;
        } else {
          return false;
        }
      }
    } catch (e) {
      // 处理出错，则认为已过期的处理
      return true;
    }
  };
  // 二级登录过期时间，精确到秒，目前设定为5分钟
  Base.expiredSeconds = "300";
  /**
   * 获取默认账户
   */
  Base.getDefaultAccount = function () {
    var o = AppAuthorize.defaultAccount;
    return !o ? null : o;
  };
  return Base;
}();
export default Base;