/*
 * @Author: shenzhiwei
 * @Date: 2021-04-28 10:17:45
 * @Company: orientsec.com.cn
 * @Description: 短登录h5
 */
import { longLogin } from "fastman3-dfyjapp-longlogin/es/index.h5";
import { getVersion } from "fastman3-common-helper";
import { TwiceLogin } from "./twiceLogin";
import { ShortLoginRequest, BizSysId } from "./login";
import { nativeShortLogin } from "./nativeShortLogin";
import { oauth, AppAuthorize } from "fastman3-dfyjapp-jsbridge";
export var shortLogin = function shortLogin(params) {
  return longLogin().then(function (res) {
    if (!getVersion()) {
      // 走web端
      return new Promise(function (resolve, reject) {
        new TwiceLogin({
          success: function success(arg) {
            // 同步更新 AppAuthorize 数据
            AppAuthorize.fundAccount = arg === null || arg === void 0 ? void 0 : arg.fundAccount;
            AppAuthorize.clientName = arg === null || arg === void 0 ? void 0 : arg.clientName;
            AppAuthorize.bizSysId = arg === null || arg === void 0 ? void 0 : arg.bizSysId;
            resolve(arg);
          },
          cancel: function cancel() {
            reject({
              code: 10,
              info: "用户取消了登录"
            });
          }
        }).toLogin();
      });
    } else {
      // 走app端
      // 长登录成功后调用短登录
      return nativeShortLogin(params).then(function (res) {
        console.log("app端的短登录回调成功，通过 oauth 再次同步恢复用户信息");
        // 调用 oauth 同步更新 AppAuthorize 对象
        return oauth().then(function (re) {
          return "ok";
        });
      })["catch"](function (err) {
        // 抛给 shortLogin catch 层
        throw err;
      });
    }
  }); // catch继承了 longLogin 的处理，因此这里不需要处理
};

export { ShortLoginRequest, BizSysId };