/*
 * @Author: shenzhiwei
 * @Date: 2021-04-28 10:34:56
 * @Company: orientsec.com.cn
 * @Description: 短登录(原生端）
 */
// @ts-nocheck
import { onRequest } from "fastman3-dfyjapp-jsbridge";
/**
 * 短登录(原生端）
 */
export var nativeShortLogin = function nativeShortLogin(params) {
  var payloadClone = {};
  if (params && params.fundAccount) {
    payloadClone["fundAccount"] = params.fundAccount;
  }
  if (params && params.fundType) {
    if (params.fundType.length > 0) {
      payloadClone["fundtype"] = params.fundType.join(",");
    }
  }
  // 20201102：保证params未定义时undefined的优化
  if (!params) {
    params = {};
  }
  // 增加是否具有用户交互界面的设置，默认不传递该属性或定义为true，则会弹出原生UI登录面板；
  // 如传递false，则不会弹出原生UI登录面板，此时可用于查询当前是否二级登录状态
  if (typeof (params === null || params === void 0 ? void 0 : params.isInteractive) === "boolean") {
    payloadClone["type"] = params.isInteractive ? "1" : "0";
  }
  return new Promise(function (resolve, reject) {
    // 调用原生指令（底层，不调用jsbridge.，因为内部做了一些封装）
    onRequest("1", Object.assign({
      type: "1" // 目前写死
    }, payloadClone), function (res) {
      if (params === null || params === void 0 ? void 0 : params.isInteractive) {
        resolve(res);
        return;
      }
      if (res.isLogin || res.isLogin && res.isLogin === "true") {
        console.log("[jsbridge request type=1] callback:" + JSON.stringify(res));
        resolve(res);
      } else {
        // 可能是取消操作
        reject({
          code: 10,
          info: "用户取消了登录"
        });
      }
    }, function (res) {
      if (res.info) {
        reject({
          code: -1,
          info: res.info
        });
      } else {
        reject({
          code: -2,
          info: "原生端登录组件(request1)发生未知异常"
        });
      }
    });
  });
};