import { IdTypeEnum, HasRealNameEnum } from "./CommonEnum";
/**
 * 账户信息类型
 */
interface IIF115016Resolve {
    /**
     * 身份编号
     * @description 不脱敏
     */
    idNo: string;
    /**
     * 证件类型
     * @enum
     */
    idType: IdTypeEnum;
    /**
     * 客户姓名
     */
    clientName: string;
    /**
     * 手机号 [机构不存在]
     */
    mobileTel: string;
    /**
     * 注册账号
     */
    regCustId: string;
    /**
     * 财富账号
     */
    cifAccount: string;
    /**
     * 是否实名
     */
    hasRealName: HasRealNameEnum;
}
/**
 * 获取键值映射表
 * @returns
 */
export declare const IF115016: () => Promise<IIF115016Resolve & {
    header: TaroGeneral.IAnyObject;
    cookies?: string[] | undefined;
}>;
export {};
