import Base from "./base";
import { AccountsType, ISubmit, ITwiceLoginParams } from "./login";
export declare class TwiceLogin extends Base {
    static tip: string;
    static notRealNameInfo: string;
    static cancel: string;
    static goToRealNameFlow: string;
    static certain: string;
    static filterAccouts: string[];
    static instance: TwiceLogin;
    doWhenWithoutAccount: () => boolean;
    failure: (arg?: any) => void;
    /**
     * 关闭键盘[点击键盘 x]/或者点击键盘蒙版回调
     */
    cancel: (arg?: any) => void;
    success: (arg?: AccountsType) => void;
    selectAccount?: AccountsType;
    /**
     * 构建二次登录实例
     * @param params {
     *    success: @function,  // 成功回调函数(验证通过和无需验证都会执行该回调)
     *    failure: @function,  // 失败回调函数(验证交易密码之类的业务异常时才会回调该函数)
     * }
     * @param {function} params.doWhenWithoutAccount   如果没有资金账户的回调 返回true 依然是调用默认流程 返回false或者undefined 不再执行默认流程
     */
    constructor(params?: ITwiceLoginParams);
    /**
     * 执行登录/签约
     * @param params
     * @returns
     */
    submit: (params: ISubmit) => Promise<void>;
    /**
     * 键盘取消
     */
    private keyBoardCancle;
    /**
     * 过滤账户
     */
    private filterAcount;
    /**
     * 过滤出签约账户
     * @param element
     */
    private filterContract;
    /**
     * 打开登录面板
     */
    private triggerTwoLogin;
    /**
     * 关闭登录面板
     */
    private triggerCloseTwoLogin;
    /**
     * 二次登录的处理
     * @private
     */
    toLogin(): Promise<void>;
}
